Welcome to the Linux Foundation Forum!

Lab 7.1. Working with ReplicaSets

Options

Hi When I try to do lab exercise, I got the message parsing "orphan": invalid syntax Whats did I do wrong ??

Comments

  • serewicz
    serewicz Posts: 1,000
    Options

    Hello,

    What version of Kubernetes are you using?

    Regards,

  • rbraga
    rbraga Posts: 10
    Options

    My version 1.20.1

  • serewicz
    serewicz Posts: 1,000
    Options

    Hello,

    The course updated to 1.21.1, which has the new command syntax. Omit the option for your version.

    Regards,

  • rbraga
    rbraga Posts: 10
    Options

    How I take this new course, without wanting to finish the course, but really hadn't finished it!

  • serewicz
    serewicz Posts: 1,000
    Options

    Hello,

    Kubernetes is a dynamic project with major releases every three months. When the exam updates I update the course to match.

    Regards

  • mstepien
    mstepien Posts: 442
    Options

    Hi @rbraga,

    Please clear your cache to access the latest updates (from June 17th).

    Thank you,
    Magda
    The Linux Foundation Training Team

  • rbraga
    rbraga Posts: 10
    Options

    Hi @mstepien
    I finished my course without completing it, by accident, and since the course is completed, I only have access to it, I looked at the course home page which has a resources folder, it has two versions

    I downloaded this version 6.18.2021, I will have to update my cluster to the new version to check if the above command will work. is that it ? @serewicz ??

  • fcioanca
    fcioanca Posts: 1,936
    Options

    @rbraga Yes, the latest labs are the ones from 6.18.2021. It may be better if you would start with fresh new clusters, following instructions from the latest labs. You also have access to the latest content, not just labs - the content, some of it is the same, some received updates, the outline changed also slightly, etc, depending on what was needed. As long as you are within the 12 months access period, you always have access to the latest version.

    Regards,

    Flavia

  • serewicz
    serewicz Posts: 1,000
    Options

    Hello,

    The current lab is tested to run on the current version of Kubernetes. A mismatch in versions will have errors and unexpected output.


    Regards,

  • chrispokorni
    chrispokorni Posts: 2,190
    Options

    Hi @rbraga,

    You may just revisit the cluster upgrade lab exercise from Lab 4 to bring your cluster up to Kubernetes version 1.21.1.

    Regards,
    -Chris

Categories

Upcoming Training